## Pulseaudio in Docker

Run it

```
docker run --name pulseaudio --rm -ti --device /dev/snd andrey01/pulseaudio
```

Use it

```
PULSE_SERVER=$(docker inspect pulseaudio -f '{{.NetworkSettings.IPAddress }}'):4713 mpv film.avi
```

## Troubleshooting

Enter the namespace of a running container

```
sudo nsenter -a -t $(docker inspect -f '{{ .State.Pid }}' pulseaudio)
```


## Client setup for zeroconfig auto discovery

If you want the pulseaudio to automatically discover the published sinks,
make sure ``/etc/pulse/default.pa`` has the following line:

```
load-module module-zeroconf-discover
```

Then restart pulseaudio:

```
pulseaudio --kill
```
